Core APIReferenceSolana

/solana/update-status/{signature}

Get update async redeem status by Solana burn transaction signature

GET
/solana/update-status/{signature}

Get update async redeem status by Solana burn transaction signature

Path Parameters

signature*string

Solana update async redeem burn transaction signature

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/solana/update-status/5KtPn3n8nJHvxPcJJQvBHvPmZxAUJ5WGhBvQGeDKJGxYjgDWKsQH3BmL8FqJEVMx8HvPmZxAUJ5WGhBvQGeDKJGxYjg"
{  "data": {    "solanaBurnSignature": "string",    "plumeRedeemTxHash": "string",    "returnedSharesSolanaSignature": "string",    "solanaWallet": "string",    "progress": "string",    "overallStatus": "string",    "overallStatusCode": 0,    "eventType": "UpdateRedeemRequest",    "redeemType": "async",    "steps": {      "solanaBurn": {        "status": "string",        "statusCode": 0,        "signature": "string",        "tokenAta": "string",        "amount": "string",        "blockTimestamp": 0,        "blockTimestampFormatted": "string",        "blockSlot": "string"      },      "plumeProcessing": {        "status": "string",        "statusCode": 0,        "deliveryTxHash": "string",        "deliveryBlockNumber": "string",        "deliveryBlockTimestamp": 0,        "deliveryBlockTimestampFormatted": "string",        "redeemTxHash": "string",        "redeemBlockNumber": "string",        "redeemBlockTimestamp": 0,        "redeemBlockTimestampFormatted": "string",        "lzGuid": "string",        "vaultComposerAddress": "string",        "sharesUpdatedTotal": "string",        "redeemRecipient": "string",        "redeemDstEid": 0      },      "solanaReturnShares": {        "status": "string",        "statusCode": 0,        "signature": "string",        "amount": "string",        "lzGuid": "string",        "blockTimestamp": 0,        "blockTimestampFormatted": "string",        "blockSlot": "string"      }    },    "links": {      "layerZeroScanBurn": "string",      "solanaBurnExplorer": "string",      "layerZeroScanRedeem": "string",      "plumeRedeemExplorer": "string",      "solanaReturnSharesExplorer": "string"    }  }}